Index: /CMT/HEAD/doc/CMTDoc.html
===================================================================
--- /CMT/HEAD/doc/CMTDoc.html	(revision 111)
+++ /CMT/HEAD/doc/CMTDoc.html	(revision 112)
@@ -22,5 +22,5 @@
 <center>Christian Arnault</center>
 <center><tt>arnault@lal.in2p3.fr</tt></center></h2>
-<center><i>Document revision date : 2005-10-20</i></center><hr><h2><a href="#index">General index</a></h2>
+<center><i>Document revision date : 2005-10-30</i></center><hr><h2><a href="#index">General index</a></h2>
 <hr><h2><a name="Presentation"></a><a href="#index"><tt>&nbsp;1</tt></a> - Presentation</h2>
 <blockquote>
@@ -4635,4 +4635,5 @@
    -tag_add=&lt;tag-list&gt;     : add specific comma-separated tag(s)
    -tag_remove=&lt;tag-list&gt;  : remove specific comma-separated tag(s)
+   -warnings               : display various warnings
    -with_version_directory : reset to default structuring style
    -without_version_directory : switch structuring style
@@ -4640,5 +4641,88 @@
    -no_cleanup             : inhibit install area cleanup</font></i></pre>
 <p>The following sections present the detail of each available command. </p>
-<hr><h4><a name="cmt broadcast"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;1</tt></a> - cmt broadcast</h4>
+<hr><h4><a name="Global options of the cmt command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;1</tt></a> - Global options of the cmt command</h4>
+<blockquote>
+  <table>
+    <tr>
+      <td>
+         -quiet                  : don't print errors
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -use=&lt;p&gt;:&lt;v&gt;:&lt;path&gt;     : set package version path
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -pack=&lt;package&gt;         : set package
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -version=&lt;version&gt;      : set version
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -path=&lt;path&gt;            : set root path
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -f=&lt;requirement-file&gt;   : set input file
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -e=&lt;statement&gt;          : add a one line statement
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -tag=&lt;tag-list&gt;         : select a new tag-set
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -tag_add=&lt;tag-list&gt;     : add specific comma-separated tag(s)
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -tag_remove=&lt;tag-list&gt;  : remove specific comma-separated tag(s)
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -warnings               : display various warnings
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -with_version_directory : reset to default structuring style
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -without_version_directory : switch structuring style
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -cleanup                : activate install area cleanup
+    </td>
+  </tr>
+    <tr>
+      <td>
+         -no_cleanup             : inhibit install area cleanup
+    </td>
+  </tr>
+    <p>The <tt>-warnings</tt>
+     option displays various
+                  warnings, such as invalid PATH items.</p>
+</table>
+</blockquote>
+<hr><h4><a name="cmt broadcast"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;2</tt></a> - cmt broadcast</h4>
 <blockquote>
             This command tries to repeatedly execute a shell command in the 
@@ -4705,5 +4789,5 @@
    list</li>
 </ol>
-<hr><h5><a name="Specifying the shell command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;1.&nbsp;1</tt></a> - Specifying the shell command</h5>
+<hr><h5><a name="Specifying the shell command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;2.&nbsp;1</tt></a> - Specifying the shell command</h5>
 <blockquote>
   <p>A priori any Unix or DOS shell command can be specified
@@ -4722,5 +4806,5 @@
 	    sometimes useful to have two levels of quotes</p>
 </blockquote>
-<hr><h5><a name="Templates in the shell command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;1.&nbsp;2</tt></a> - Templates in the shell command</h5>
+<hr><h5><a name="Templates in the shell command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;2.&nbsp;2</tt></a> - Templates in the shell command</h5>
 <blockquote>
   <p>Similarly to what exists in the <a href="#patterns">pattern</a>
@@ -4789,9 +4873,9 @@
 </blockquote>
 </blockquote>
-<hr><h4><a name="cmt build &lt;option&gt;"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;2</tt></a> - cmt build &lt;option&gt;</h4>
+<hr><h4><a name="cmt build &lt;option&gt;"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;3</tt></a> - cmt build &lt;option&gt;</h4>
 <blockquote>
   <p>The actions associated with the build options are
               generally meant for internal use only, and users will
- rarely (if ever!) apply them manually</p>
+            rarely (if ever!) apply them manually</p>
   <p>All build commands are generally meant to change the
               current package (some file or set of files is
@@ -4825,5 +4909,5 @@
                         expected to be named <tt>NMake</tt>
        and the standard header
-                        is named <tt>NMakefile.header</tt>
+                 is named <tt>NMakefile.header</tt>
     </p>
   </li>
@@ -4867,5 +4951,5 @@
        the output produced
                       by the selected tool so as to let CMT parse it and
-                      properly deduce the dependencies. Formatting the
+      properly deduce the dependencies. Formatting the
                       output of external tools may require to interface the
                     tool itself e.g. using a shell script.</p>
@@ -4993,5 +5077,5 @@
 </ul>
 </blockquote>
-<hr><h4><a name="cmt check configuration"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;3</tt></a> - cmt check configuration</h4>
+<hr><h4><a name="cmt check configuration"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;4</tt></a> - cmt check configuration</h4>
 <blockquote>
             This command reads the hierarchy of requirements files 
@@ -5000,5 +5084,5 @@
 <p>An empty output means that everything is fine. </p>
 </blockquote>
-<hr><h4><a name="cmt check files &lt;reference-file&gt; &lt;new-file&gt;"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;4</tt></a> - cmt check files &lt;reference-file&gt; &lt;new-file&gt;</h4>
+<hr><h4><a name="cmt check files &lt;reference-file&gt; &lt;new-file&gt;"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;5</tt></a> - cmt check files &lt;reference-file&gt; &lt;new-file&gt;</h4>
 <blockquote>
             This command compares the reference file to the new file, and 
@@ -5009,5 +5093,5 @@
 ) is produced. </p>
 </blockquote>
-<hr><h4><a name="cmt checkout ..."></a><a href="#index"><tt>13.&nbsp;3.&nbsp;5</tt></a> - cmt checkout ...</h4>
+<hr><h4><a name="cmt checkout ..."></a><a href="#index"><tt>13.&nbsp;3.&nbsp;6</tt></a> - cmt checkout ...</h4>
 <blockquote>
             See the <a href="#Using cvs together with CMT">paragraph</a>
@@ -5017,10 +5101,10 @@
 .
 </blockquote>
-<hr><h4><a name="cmt co ..."></a><a href="#index"><tt>13.&nbsp;3.&nbsp;6</tt></a> - cmt co ...</h4>
+<hr><h4><a name="cmt co ..."></a><a href="#index"><tt>13.&nbsp;3.&nbsp;7</tt></a> - cmt co ...</h4>
 <blockquote>
             This is simply a short cut to the <tt>cmt checkout</tt>
  command. 
 </blockquote>
-<hr><h4><a name="cmt cleanup [-csh|-sh]"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;7</tt></a> - cmt cleanup [-csh|-sh]</h4>
+<hr><h4><a name="cmt cleanup [-csh|-sh]"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;8</tt></a> - cmt cleanup [-csh|-sh]</h4>
 <blockquote>
             This command generates (to the standard output) a set of shell 
@@ -5032,5 +5116,5 @@
  command. </p>
 </blockquote>
-<hr><h4><a name="cmt config"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;8</tt></a> - cmt config</h4>
+<hr><h4><a name="cmt config"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;9</tt></a> - cmt config</h4>
 <blockquote>
   <p>This command (re-)generates the setup scripts and the
@@ -5072,5 +5156,5 @@
  are required any longer.</p>
 </blockquote>
-<hr><h4><a name="cmt create &lt;package&gt; &lt;version&gt; [&lt;area&gt;]"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;9</tt></a> - cmt create &lt;package&gt; &lt;version&gt; [&lt;area&gt;]</h4>
+<hr><h4><a name="cmt create &lt;package&gt; &lt;version&gt; [&lt;area&gt;]"></a><a href="#index"><tt>13.&nbsp;3.10</tt></a> - cmt create &lt;package&gt; &lt;version&gt; [&lt;area&gt;]</h4>
 <blockquote>
   <p>
@@ -5125,5 +5209,5 @@
             of conflict.</p>
 </blockquote>
-<hr><h4><a name="cmt expand model [-strict] &lt;model-string&gt;"></a><a href="#index"><tt>13.&nbsp;3.10</tt></a> - cmt expand model [-strict] &lt;model-string&gt;</h4>
+<hr><h4><a name="cmt expand model [-strict] &lt;model-string&gt;"></a><a href="#index"><tt>13.&nbsp;3.11</tt></a> - cmt expand model [-strict] &lt;model-string&gt;</h4>
 <blockquote>
             This command produces on the standard output an
@@ -5255,5 +5339,5 @@
 </ul>
 </blockquote>
-<hr><h4><a name="cmt filter &lt;in-file&gt; &lt;out-file&gt;"></a><a href="#index"><tt>13.&nbsp;3.11</tt></a> - cmt filter &lt;in-file&gt; &lt;out-file&gt;</h4>
+<hr><h4><a name="cmt filter &lt;in-file&gt; &lt;out-file&gt;"></a><a href="#index"><tt>13.&nbsp;3.12</tt></a> - cmt filter &lt;in-file&gt; &lt;out-file&gt;</h4>
 <blockquote>
             This command reads &lt;in-file&gt;, substitutes all occurences 
@@ -5272,10 +5356,10 @@
               configuration files, etc... </p>
 </blockquote>
-<hr><h4><a name="cmt help | --help"></a><a href="#index"><tt>13.&nbsp;3.12</tt></a> - cmt help | --help</h4>
+<hr><h4><a name="cmt help | --help"></a><a href="#index"><tt>13.&nbsp;3.13</tt></a> - cmt help | --help</h4>
 <blockquote>
             This command shows the list of options of the <tt>cmt</tt>
  driver. 
 </blockquote>
-<hr><h4><a name="cmt lock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]"></a><a href="#index"><tt>13.&nbsp;3.13</tt></a> - cmt lock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]</h4>
+<hr><h4><a name="cmt lock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]"></a><a href="#index"><tt>13.&nbsp;3.14</tt></a> - cmt lock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]</h4>
 <blockquote>
             This command tries to set a lock onto the current package (or onto the
@@ -5302,5 +5386,5 @@
 </ol>
 </blockquote>
-<hr><h4><a name="cmt remove &lt;package&gt; &lt;version&gt; [&lt;area&gt;]"></a><a href="#index"><tt>13.&nbsp;3.14</tt></a> - cmt remove &lt;package&gt; &lt;version&gt; [&lt;area&gt;]</h4>
+<hr><h4><a name="cmt remove &lt;package&gt; &lt;version&gt; [&lt;area&gt;]"></a><a href="#index"><tt>13.&nbsp;3.15</tt></a> - cmt remove &lt;package&gt; &lt;version&gt; [&lt;area&gt;]</h4>
 <blockquote>
             This command removes one version of the specified package. If
@@ -5316,5 +5400,5 @@
               will be deleted.</p>
 </blockquote>
-<hr><h4><a name="cmt remove library_links"></a><a href="#index"><tt>13.&nbsp;3.15</tt></a> - cmt remove library_links</h4>
+<hr><h4><a name="cmt remove library_links"></a><a href="#index"><tt>13.&nbsp;3.16</tt></a> - cmt remove library_links</h4>
 <blockquote>
             This command removes symbolic links towards all imported
@@ -5325,12 +5409,14 @@
             when one runs <tt>gmake clean</tt>
 </blockquote>
-<hr><h4><a name="cmt run [shell-command]"></a><a href="#index"><tt>13.&nbsp;3.16</tt></a> - cmt run [shell-command]</h4>
+<hr><h4><a name="cmt run [shell-command]"></a><a href="#index"><tt>13.&nbsp;3.17</tt></a> - cmt run [shell-command]</h4>
 <blockquote>
             This command runs any shell command, in the context of the 
-            current package.  
+<i>current</i>
+ package.  
   <p>In particular all environment variables defined in
               requirements file are first set before running the
-              command. This may be seen as a generic application
-            launcher.</p>
+                command. This may be seen as a generic <i>application
+              launcher</i>
+.</p>
   <p>This may be combined with the global options
     <tt>-pack=<i>package</i>
@@ -5345,5 +5431,5 @@
 	    to any package context. </p>
 </blockquote>
-<hr><h4><a name="cmt set version &lt;version&gt;"></a><a href="#index"><tt>13.&nbsp;3.17</tt></a> - cmt set version &lt;version&gt;</h4>
+<hr><h4><a name="cmt set version &lt;version&gt;"></a><a href="#index"><tt>13.&nbsp;3.18</tt></a> - cmt set version &lt;version&gt;</h4>
 <blockquote>
             This command creates and/or fills in the
@@ -5357,5 +5443,5 @@
 	    one CMT package.</p>
 </blockquote>
-<hr><h4><a name="cmt set versions"></a><a href="#index"><tt>13.&nbsp;3.18</tt></a> - cmt set versions</h4>
+<hr><h4><a name="cmt set versions"></a><a href="#index"><tt>13.&nbsp;3.19</tt></a> - cmt set versions</h4>
 <blockquote>
               This command applies recursively the <tt>cmt set version
@@ -5368,5 +5454,5 @@
  files</p>
 </blockquote>
-<hr><h4><a name="cmt setup [-csh|-sh|-bat]"></a><a href="#index"><tt>13.&nbsp;3.19</tt></a> - cmt setup [-csh|-sh|-bat]</h4>
+<hr><h4><a name="cmt setup [-csh|-sh|-bat]"></a><a href="#index"><tt>13.&nbsp;3.20</tt></a> - cmt setup [-csh|-sh|-bat]</h4>
 <blockquote>
             This command generates (to the standard output) a set of shell
@@ -5383,5 +5469,5 @@
  command.</p>
 </blockquote>
-<hr><h4><a name="cmt show &lt;option&gt;"></a><a href="#index"><tt>13.&nbsp;3.20</tt></a> - cmt show &lt;option&gt;</h4>
+<hr><h4><a name="cmt show &lt;option&gt;"></a><a href="#index"><tt>13.&nbsp;3.21</tt></a> - cmt show &lt;option&gt;</h4>
 <blockquote>
   <ul>
@@ -5430,5 +5516,5 @@
     <li><tt>fragment &lt;name&gt;</tt>
       <p>This command displays the actual location where the
-                        specified make fragment is currently found by <tt>CMT</tt>
+                 specified make fragment is currently found by <tt>CMT</tt>
       ,
                       taking into account possible overridden definitions.</p>
@@ -5478,5 +5564,5 @@
                         assigned to the symbol (macro, set or action)
                         specified as the additional argument. It only presents
-                        the final result of the assignment operations
+                 the final result of the assignment operations
                       performed by used packages. </p>
         <p>By adding a <tt>-tag=&lt;tag></tt>
@@ -5675,5 +5761,5 @@
                   package.</p>
     <p>In particular this will detect if a package has no
-        access to another one, due to private use
+                    access to another one, due to private use
                   statements</p>
     <li><tt>version</tt>
@@ -5686,5 +5772,5 @@
 </ul>
 </blockquote>
-<hr><h4><a name="cmt system"></a><a href="#index"><tt>13.&nbsp;3.21</tt></a> - cmt system</h4>
+<hr><h4><a name="cmt system"></a><a href="#index"><tt>13.&nbsp;3.22</tt></a> - cmt system</h4>
 <blockquote>
             This command displays the current value assigned by default to 
@@ -5692,5 +5778,5 @@
  environment variable. 
 </blockquote>
-<hr><h4><a name="cmt unlock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]"></a><a href="#index"><tt>13.&nbsp;3.22</tt></a> - cmt unlock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]</h4>
+<hr><h4><a name="cmt unlock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]"></a><a href="#index"><tt>13.&nbsp;3.23</tt></a> - cmt unlock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]</h4>
 <blockquote>
             This command tries to remove a lock from the current package (or from the
@@ -5715,5 +5801,5 @@
 </p>
 </blockquote>
-<hr><h4><a name="cmt version | --version"></a><a href="#index"><tt>13.&nbsp;3.23</tt></a> - cmt version | --version</h4>
+<hr><h4><a name="cmt version | --version"></a><a href="#index"><tt>13.&nbsp;3.24</tt></a> - cmt version | --version</h4>
 <blockquote>
             This command shows the current verion of <tt>CMT</tt>
@@ -5723,5 +5809,5 @@
  sources. 
 </blockquote>
-<hr><h4><a name="cmt cvstags &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.24</tt></a> - cmt cvstags &lt;module&gt;</h4>
+<hr><h4><a name="cmt cvstags &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.25</tt></a> - cmt cvstags &lt;module&gt;</h4>
 <blockquote>
             (see the section on <i>how tu use </i>
@@ -5731,11 +5817,11 @@
  for more details on this command) 
 </blockquote>
-<hr><h4><a name="cmt cvsbranches &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.25</tt></a> - cmt cvsbranches &lt;module&gt;</h4>
-<blockquote>
-</blockquote>
-<hr><h4><a name="cmt cvssubpackages &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.26</tt></a> - cmt cvssubpackages &lt;module&gt;</h4>
-<blockquote>
-</blockquote>
-<hr><h4><a name="cmt cvssubprojects &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.27</tt></a> - cmt cvssubprojects &lt;module&gt;</h4>
+<hr><h4><a name="cmt cvsbranches &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.26</tt></a> - cmt cvsbranches &lt;module&gt;</h4>
+<blockquote>
+</blockquote>
+<hr><h4><a name="cmt cvssubpackages &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.27</tt></a> - cmt cvssubpackages &lt;module&gt;</h4>
+<blockquote>
+</blockquote>
+<hr><h4><a name="cmt cvssubprojects &lt;module&gt;"></a><a href="#index"><tt>13.&nbsp;3.28</tt></a> - cmt cvssubprojects &lt;module&gt;</h4>
 <blockquote>
 </blockquote>
@@ -6154,5 +6240,5 @@
   </li>
     <li>
-                adapt the version tag convention consistently to the
+           adapt the version tag convention consistently to the
                 project, hiding the version tag specificities of
                 eg. commercial packages.
@@ -7350,5 +7436,5 @@
                     provides user defined dependency specifications for each
                     constituent. The typical use of this macro is fill it
-        with the name of the list of some other constituents
+                    with the name of the list of some other constituents
                     which <i>have</i>
          to be rebuilt first (since each
@@ -7534,5 +7620,5 @@
    statements found in the
       requirements file (taking into account the complete hierarchy of
-      used packages with the exception of those specified with the
+     used packages with the exception of those specified with the
   <br></br>
   <tt>-no_auto_imports</tt>
@@ -10372,5 +10458,5 @@
       <ol>
         <li>In case of error (typically when the requested module is
-                not found in the repository) a text explaining the error
+           not found in the repository) a text explaining the error
               condition is returned</li>
       <li>The list of tags found on the requirements file</li>
@@ -10623,116 +10709,120 @@
 <tr>
 <td width="100"><tt>13.&nbsp;3.&nbsp;1</tt></td>
+<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#Global options of the cmt command">Global options of the cmt command</a></td>
+</tr>
+<tr>
+<td width="100"><tt>13.&nbsp;3.&nbsp;2</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt broadcast">cmt broadcast</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;1.&nbsp;1</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;2.&nbsp;1</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#Specifying the shell command">Specifying the shell command</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;1.&nbsp;2</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;2.&nbsp;2</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#Templates in the shell command">Templates in the shell command</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;2</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;3</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt build &lt;option&gt;">cmt build &lt;option&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;3</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;4</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt check configuration">cmt check configuration</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;4</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;5</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt check files &lt;reference-file&gt; &lt;new-file&gt;">cmt check files &lt;reference-file&gt; &lt;new-file&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;5</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;6</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt checkout ...">cmt checkout ...</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;6</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;7</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt co ...">cmt co ...</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;7</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;8</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt cleanup [-csh|-sh]">cmt cleanup [-csh|-sh]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;8</tt></td>
+<td width="100"><tt>13.&nbsp;3.&nbsp;9</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt config">cmt config</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.&nbsp;9</tt></td>
+<td width="100"><tt>13.&nbsp;3.10</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt create &lt;package&gt; &lt;version&gt; [&lt;area&gt;]">cmt create &lt;package&gt; &lt;version&gt; [&lt;area&gt;]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.10</tt></td>
+<td width="100"><tt>13.&nbsp;3.11</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt expand model [-strict] &lt;model-string&gt;">cmt expand model [-strict] &lt;model-string&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.11</tt></td>
+<td width="100"><tt>13.&nbsp;3.12</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt filter &lt;in-file&gt; &lt;out-file&gt;">cmt filter &lt;in-file&gt; &lt;out-file&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.12</tt></td>
+<td width="100"><tt>13.&nbsp;3.13</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt help | --help">cmt help | --help</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.13</tt></td>
+<td width="100"><tt>13.&nbsp;3.14</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt lock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]">cmt lock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.14</tt></td>
+<td width="100"><tt>13.&nbsp;3.15</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt remove &lt;package&gt; &lt;version&gt; [&lt;area&gt;]">cmt remove &lt;package&gt; &lt;version&gt; [&lt;area&gt;]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.15</tt></td>
+<td width="100"><tt>13.&nbsp;3.16</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt remove library_links">cmt remove library_links</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.16</tt></td>
+<td width="100"><tt>13.&nbsp;3.17</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt run [shell-command]">cmt run [shell-command]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.17</tt></td>
+<td width="100"><tt>13.&nbsp;3.18</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt set version &lt;version&gt;">cmt set version &lt;version&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.18</tt></td>
+<td width="100"><tt>13.&nbsp;3.19</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt set versions">cmt set versions</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.19</tt></td>
+<td width="100"><tt>13.&nbsp;3.20</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt setup [-csh|-sh|-bat]">cmt setup [-csh|-sh|-bat]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.20</tt></td>
+<td width="100"><tt>13.&nbsp;3.21</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt show &lt;option&gt;">cmt show &lt;option&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.21</tt></td>
+<td width="100"><tt>13.&nbsp;3.22</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt system">cmt system</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.22</tt></td>
+<td width="100"><tt>13.&nbsp;3.23</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt unlock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]">cmt unlock [ &lt;package&gt; &lt;version&gt; [&lt;area&gt;] ]</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.23</tt></td>
+<td width="100"><tt>13.&nbsp;3.24</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt version | --version">cmt version | --version</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.24</tt></td>
+<td width="100"><tt>13.&nbsp;3.25</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt cvstags &lt;module&gt;">cmt cvstags &lt;module&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.25</tt></td>
+<td width="100"><tt>13.&nbsp;3.26</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt cvsbranches &lt;module&gt;">cmt cvsbranches &lt;module&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.26</tt></td>
+<td width="100"><tt>13.&nbsp;3.27</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt cvssubpackages &lt;module&gt;">cmt cvssubpackages &lt;module&gt;</a></td>
 </tr>
 <tr>
-<td width="100"><tt>13.&nbsp;3.27</tt></td>
+<td width="100"><tt>13.&nbsp;3.28</tt></td>
 <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#cmt cvssubprojects &lt;module&gt;">cmt cvssubprojects &lt;module&gt;</a></td>
 </tr>
Index: /CMT/HEAD/doc/CMTDoc.xml
===================================================================
--- /CMT/HEAD/doc/CMTDoc.xml	(revision 111)
+++ /CMT/HEAD/doc/CMTDoc.xml	(revision 112)
@@ -4698,4 +4698,92 @@
           <p>The following sections present the detail of each available command. </p>
 
+
+          <cmt:section title="Global options of the cmt command">
+
+            <table>
+
+              <tr>
+                <td>
+   -quiet                  : don't print errors
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -use=&amp;lt;p&gt;:&lt;v&gt;:&lt;path&gt;     : set package version path
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -pack=&amp;lt;package&gt;         : set package
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -version=&amp;lt;version&gt;      : set version
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -path=&amp;lt;path&gt;            : set root path
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -f=&amp;lt;requirement-file&gt;   : set input file
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -e=&amp;lt;statement&gt;          : add a one line statement
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -tag=&amp;lt;tag-list&gt;         : select a new tag-set
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -tag_add=&amp;lt;tag-list&gt;     : add specific comma-separated tag(s)
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -tag_remove=&amp;lt;tag-list&gt;  : remove specific comma-separated tag(s)
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -warnings               : display various warnings
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -with_version_directory : reset to default structuring style
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -without_version_directory : switch structuring style
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -cleanup                : activate install area cleanup
+                </td>
+              </tr>
+              <tr>
+                <td>
+   -no_cleanup             : inhibit install area cleanup
+                </td>
+              </tr>
+
+                <p>The <tt>-warnings</tt> option displays various
+                warnings, such as invalid PATH items.</p>
+
+            </table>
+
+          </cmt:section>
+
           <cmt:section title="cmt broadcast">
 
@@ -5456,10 +5544,10 @@
 
             This command runs any shell command, in the context of the 
-            current package.  
+            <i>current</i> package.  
 
             <p>In particular all environment variables defined in
             requirements file are first set before running the
-            command. This may be seen as a generic application
-            launcher.</p>
+            command. This may be seen as a generic <i>application
+            launcher</i>.</p>
 
 	    <p>This may be combined with the global options
@@ -5811,6 +5899,4 @@
                 simple list of used packages, starting from the
                 deepest uses.</p>
-
-                <p>The <tt>-warnings</tt> option displays various warnings, such as invalid PATH items.</p>
 
               <p></p></li>