Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 112)
+++ /CMT/HEAD/ChangeLog	(revision 113)
@@ -1,14 +1,19 @@
+2005-10-30    <arnault@lal.in2p3.fr> 290
+
+	* source/cmt_symbol.cxx (all_set): Must expand PATH values before
+	filtering and setting them
+
 2005-10-28    <arnault@lal.in2p3.fr> 289
 
-	cmt/fragments/cleanup_header: Temporary hack to deal with missing files
+	* cmt/fragments/cleanup_header: Temporary hack to deal with missing files
 	and to avoid infinite loops in make. However, this must be seen as a ugly hack
 	since it considers an Atlas use case with config.h.in. This hack is 
 	harmless to any user of this special file though.
 
-	source/cmt.h
-	source/cmt_parser.cxx
-	source/cmt_commands.h
-	source/cmt_commands.cxx
-	doc/CMTDoc.xml: Add a -warnings option to display various warning messages
+	* source/cmt.h
+	* source/cmt_parser.cxx
+	* source/cmt_commands.h
+	* source/cmt_commands.cxx
+	* doc/CMTDoc.xml: Add a -warnings option to display various warning messages
  
 2005-10-18    <arnault@lal.in2p3.fr> 288
Index: /CMT/HEAD/doc/CMTDoc.html
===================================================================
--- /CMT/HEAD/doc/CMTDoc.html	(revision 112)
+++ /CMT/HEAD/doc/CMTDoc.html	(revision 113)
@@ -2451,5 +2451,5 @@
               where options may be : 
       <p>
-        <table BORDER="1" COLS="2">
+        <table cellspacing="0" BORDER="1" COLS="2">
           <tr>
             <td><tt>-suffix=&lt;suffix&gt;</tt>
@@ -2501,5 +2501,5 @@
   <p>
     <center>
-      <table BORDER="1" COLS="2">
+      <table cellspacing="0" BORDER="1" COLS="2">
         <tr>
           <td width="100"><tt>CONSTITUENT</tt>
@@ -2804,5 +2804,5 @@
             constituent:</p>
   <center>
-    <table border="1" cols="3">
+    <table cellspacing="0" border="1" cols="3">
       <tr>
           <td width="250"><center><i>option</i>
@@ -3743,5 +3743,5 @@
             applications, etc.</p>
   <p>The concept of pattern proposed here implements this
-              genericity. Patterns may be either<i>global</i>
+              genericity. Patterns may be either <i>global</i>
   , in which
               case they will be systematically applied onto every
@@ -3817,5 +3817,5 @@
   <p>
     <center>
-      <table BORDER="1" COLS="2">
+      <table cellspacing="0" BORDER="1" COLS="2">
         <tr>
           <td width="80"><tt>package</tt>
@@ -4051,5 +4051,5 @@
       <p>
         <center>
-          <table BORDER="1" COLS="2">
+          <table cellspacing="0" BORDER="1" COLS="2">
             <tr>
               <td width="80"><tt>prototypes</tt>
@@ -4057,5 +4057,5 @@
               <td width="500">C source files will
                                       automatically produce a header file containing
-                                    a prototype of all global entry points</td>
+                               a prototype of all global entry points</td>
           </tr>
             <tr>
@@ -4090,5 +4090,5 @@
       <p>
         <center>
-          <table BORDER="1" COLS="2">
+          <table cellspacing="0" BORDER="1" COLS="2">
             <tr>
               <td width="80"><tt>config</tt>
@@ -4208,5 +4208,5 @@
                     disappear, and the <tt>include_path</tt>
        statement will
-                    become meaningless. When this happens, include search
+                  become meaningless. When this happens, include search
                     paths will always have to be explicitly specified using the
       <tt>include_dirs</tt>
@@ -4301,5 +4301,5 @@
                 applications (in which case they are named exactly after the
                 language name eg c, cpp, fortran) and the other for the
-    libraries (in which case they have the <tt>_library</tt>
+                libraries (in which case they have the <tt>_library</tt>
                 suffix (eg. c_library, cpp_library, fortran_library). A set
                 of language definitions (C, C++, Fortran, Java, Lex, Yacc)
@@ -4332,5 +4332,5 @@
                 represent running values, meant to be
               properly expanded at actual generation time :</p>
-    <p><table BORDER="1" COLS="2">
+    <p><table cellspacing="0" BORDER="1" COLS="2">
       <tr>
         <td width="150"><tt>CONSTITUENT</tt>
@@ -4398,5 +4398,5 @@
   	    the sub-tree, expanding it only when the operator really
   	    acts from within the context of the package. It should be
-  noticed that private use relationships are completely
+  	    noticed that private use relationships are completely
   	    unvisible from clients, which implies that none of the
 	    definitions (not only symbols) will be set.</p>
@@ -4637,89 +4637,146 @@
    -warnings               : display various warnings
    -with_version_directory : reset to default structuring style
-   -without_version_directory : switch structuring style
-   -cleanup                : activate install area cleanup
-   -no_cleanup             : inhibit install area cleanup</font></i></pre>
+   -without_version_directory : switch structuring style</font></i></pre>
 <p>The following sections present the detail of each available command. </p>
 <hr><h4><a name="Global options of the cmt command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;1</tt></a> - Global options of the cmt command</h4>
 <blockquote>
-  <table>
+  <p>These options of the general form
+  <tt>-&lt;option&gt;</tt>
+   or
+  <tt>-&lt;option&gt;=&lt;value&gt;</tt>
+   should be provided
+  <i>before</i>
+   the command itself. They give special hints
+            to cmt onto how to perform the command.</p>
+  <p>Some options have meaning over all commands (such as
+              the <tt>-quiet</tt>
+   option) while some others only have a
+              meaning in the context of some specialized commands (such
+              as the <tt>-with_version_directory</tt>
+   option which is
+              only useful for the <tt>create</tt>
+   or <tt>co</tt>
+            commands)</p>
+  <p>The following table describes the various global
+              options of the <tt>cmt</tt>
+ tool:</p>
+  <table cellspacing="0" BORDER="1" COLS="3">
     <tr>
-      <td>
-         -quiet                  : don't print errors
+        <td><center><i>option</i>
+      </center>
+    </td>
+        <td><center><i>effect</i>
+      </center>
+    </td>
+        <td><center><i>commands</i>
+      </center>
     </td>
   </tr>
     <tr>
-      <td>
-         -use=&lt;p&gt;:&lt;v&gt;:&lt;path&gt;     : set package version path
+      <td><tt>-quiet</tt>
+    </td>
+    <td>don't print errors</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -pack=&lt;package&gt;         : set package
+      <td><tt>-use=&lt;p&gt;:&lt;v&gt;:&lt;path&gt;</tt>
+    </td>
+    <td>set current package version and path in one option</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -version=&lt;version&gt;      : set version
+      <td><tt>-pack=&lt;package&gt;</tt>
+    </td>
+    <td rowspan="3">set current package, version and root path</td>
+      <td rowspan="3"><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -path=&lt;path&gt;            : set root path
+      <td><tt>-version=&lt;version&gt;</tt>
     </td>
   </tr>
     <tr>
-      <td>
-         -f=&lt;requirement-file&gt;   : set input file
+      <td><tt>-path=&lt;path&gt;</tt>
     </td>
   </tr>
     <tr>
-      <td>
-         -e=&lt;statement&gt;          : add a one line statement
+      <td><tt>-f=&lt;requirement-file&gt;</tt>
+    </td>
+    <td>override input file</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -tag=&lt;tag-list&gt;         : select a new tag-set
+      <td><tt>-e=&lt;statement&gt;</tt>
+    </td>
+    <td>add a one line statement</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -tag_add=&lt;tag-list&gt;     : add specific comma-separated tag(s)
+      <td><tt>-tag=&lt;tag-list&gt;</tt>
+    </td>
+    <td>select a new tag-set</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -tag_remove=&lt;tag-list&gt;  : remove specific comma-separated tag(s)
+      <td><tt>-tag_add=&lt;tag-list&gt;</tt>
+    </td>
+    <td>add specific comma-separated tag(s)</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -warnings               : display various warnings
+      <td><tt>-tag_remove=&lt;tag-list&gt;</tt>
+    </td>
+    <td>remove specific comma-separated tag(s)</td>
+      <td><i>all</i>
     </td>
   </tr>
     <tr>
-      <td>
-         -with_version_directory : reset to default structuring style
+      <td><tt>-warnings</tt>
+    </td>
+    <td>displays various warnings, such as invalid PATH items</td>
+            <td><table><tr><td><tt>broadcast</tt>
+          </td>
+        </tr>
+            <tr><td><tt>run</tt>
+          </td>
+        </tr>
+            <tr><td><tt>setup</tt>
+          </td>
+        </tr>
+      </table>
     </td>
   </tr>
     <tr>
-      <td>
-         -without_version_directory : switch structuring style
+      <td><tt>-with_version_directory</tt>
+    </td>
+    <td>reset to default structuring style</td>
+            <td><table><tr><td><tt>create</tt>
+          </td>
+        </tr>
+            <tr><td><tt>co</tt>
+          </td>
+        </tr>
+      </table>
     </td>
   </tr>
     <tr>
-      <td>
-         -cleanup                : activate install area cleanup
+      <td><tt>-without_version_directory</tt>
+    </td>
+    <td>switch structuring style</td>
+            <td><table><tr><td><tt>create</tt>
+          </td>
+        </tr>
+            <tr><td><tt>co</tt>
+          </td>
+        </tr>
+      </table>
     </td>
   </tr>
-    <tr>
-      <td>
-         -no_cleanup             : inhibit install area cleanup
-    </td>
-  </tr>
-    <p>The <tt>-warnings</tt>
-     option displays various
-                  warnings, such as invalid PATH items.</p>
 </table>
 </blockquote>
@@ -4736,5 +4793,5 @@
  command, ie all <tt>CMT</tt>
  packages
-            and versions available throught the current <tt>CMTPATH</tt>
+        and versions available through the current <tt>CMTPATH</tt>
  list.
   <p>Typical uses of this <i>broadcast</i>
@@ -4789,4 +4846,12 @@
    list</li>
 </ol>
+  <p>The environment variables as specified in the
+              requirements files of the use graph are internally pre-set
+              before running the specified shell command. Thus it's not
+              required to <i>source</i>
+   the setup scripts before using
+              the <tt>broadcast</tt>
+   command
+</p>
 <hr><h5><a name="Specifying the shell command"></a><a href="#index"><tt>13.&nbsp;3.&nbsp;2.&nbsp;1</tt></a> - Specifying the shell command</h5>
 <blockquote>
@@ -4909,5 +4974,5 @@
                         expected to be named <tt>NMake</tt>
        and the standard header
-                 is named <tt>NMakefile.header</tt>
+                        is named <tt>NMakefile.header</tt>
     </p>
   </li>
@@ -4951,5 +5016,5 @@
        the output produced
                       by the selected tool so as to let CMT parse it and
-      properly deduce the dependencies. Formatting the
+                      properly deduce the dependencies. Formatting the
                       output of external tools may require to interface the
                     tool itself e.g. using a shell script.</p>
@@ -5516,5 +5581,5 @@
     <li><tt>fragment &lt;name&gt;</tt>
       <p>This command displays the actual location where the
-                 specified make fragment is currently found by <tt>CMT</tt>
+                        specified make fragment is currently found by <tt>CMT</tt>
       ,
                       taking into account possible overridden definitions.</p>
@@ -5562,7 +5627,7 @@
       <tt>action_value &lt;name&gt;</tt>
         <p>This set of commands displays the raw value
-                        assigned to the symbol (macro, set or action)
+                    assigned to the symbol (macro, set or action)
                         specified as the additional argument. It only presents
-                 the final result of the assignment operations
+                        the final result of the assignment operations
                       performed by used packages. </p>
         <p>By adding a <tt>-tag=&lt;tag></tt>
@@ -6240,5 +6305,5 @@
   </li>
     <li>
-           adapt the version tag convention consistently to the
+                adapt the version tag convention consistently to the
                 project, hiding the version tag specificities of
                 eg. commercial packages.
@@ -6451,5 +6516,5 @@
   <p>CMT manipulate some standard macros or environment variables
     according to the effective strategy:</p>
-  <table border="1">
+  <table cellspacing="0" border="1">
     <tr>
         <td><center><i>name</i>
@@ -6715,5 +6780,5 @@
 sh&gt; gmake help </pre>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
         <td width="200">
@@ -6796,5 +6861,5 @@
     modified by the user.
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150">
@@ -6837,5 +6902,5 @@
     any package for its own needs.
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150">
@@ -6948,5 +7013,5 @@
  statements.</p>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150">
@@ -7008,5 +7073,5 @@
 </p>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150"><tt>cpp</tt>
@@ -7061,5 +7126,5 @@
 </p>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150"><tt>for</tt>
@@ -7114,5 +7179,5 @@
 </p>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150"><tt>javacomp</tt>
@@ -7132,5 +7197,5 @@
 </p>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
         <td width="150"><tt>lex</tt>
@@ -7194,5 +7259,5 @@
     corresponding use statement.</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
         <td width="250">
@@ -7298,5 +7363,5 @@
     modifier).</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
         <td width="250">
@@ -7357,5 +7422,5 @@
     customization of the build command parameters.</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
           <td><tt>&lt;<i>type</i>
@@ -7477,5 +7542,5 @@
     customization of the build command parameters.</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
           <td WIDTH="300"><tt>&lt;<i>constituent</i>
@@ -7515,5 +7580,5 @@
  and the user.</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
           <td width="200"><tt>&lt;<i>PACKAGE</i>
@@ -7593,5 +7658,5 @@
  behaviour.</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
           <td><tt>&lt;<i>package</i>
@@ -7620,10 +7685,10 @@
    statements found in the
       requirements file (taking into account the complete hierarchy of
-     used packages with the exception of those specified with the
+      used packages with the exception of those specified with the
   <br></br>
   <tt>-no_auto_imports</tt>
  option in their use statement) :</p>
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
         <td width="150"><tt>use_cflags</tt>
@@ -7704,5 +7769,5 @@
     mechanisms.
     <p><font size="-10">
-      <table BORDER="1" COLS="2">
+      <table cellspacing="0" BORDER="1" COLS="2">
         <tr>
           <td width="250">
@@ -7810,5 +7875,5 @@
     in CMT.
   <p>
-    <table BORDER="1" COLS="2">
+    <table cellspacing="0" BORDER="1" COLS="2">
       <tr>
           <td width="150"><center><i>macro</i>
@@ -7953,5 +8018,5 @@
 <blockquote>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
           <td width="150"><center><i>tag name</i>
@@ -8060,5 +8125,5 @@
 <blockquote>
   <p>
-    <table BORDER="1" COLS="3">
+    <table cellspacing="0" BORDER="1" COLS="3">
       <tr>
           <td width="150"><center><i>template name</i>
@@ -8233,5 +8298,5 @@
 <hr></blockquote>
   <p>
-    <table border="1" cols="3">
+    <table cellspacing="0" border="1" cols="3">
       <tr>
           <td width="200"><center><i>Generated makefile</i>
@@ -10448,5 +10513,5 @@
     <tt>cmt_buildcvsinfos2.sh</tt>
     , which simply receives in its
-          argument the module name onto which we need information. This
+     argument the module name onto which we need information. This
           information is obtained by scanning the files into the
           repository, and an answer is built with the following syntax:
@@ -10458,5 +10523,5 @@
       <ol>
         <li>In case of error (typically when the requested module is
-           not found in the repository) a text explaining the error
+                not found in the repository) a text explaining the error
               condition is returned</li>
       <li>The list of tags found on the requirements file</li>
Index: /CMT/HEAD/doc/CMTDoc.xml
===================================================================
--- /CMT/HEAD/doc/CMTDoc.xml	(revision 112)
+++ /CMT/HEAD/doc/CMTDoc.xml	(revision 113)
@@ -2638,5 +2638,5 @@
           <p>
 
-            <table BORDER='1' COLS='2'> 
+            <table BORDER='1' COLS='2' cellspacing='0'> 
                   <tr> 
                     <td><tt>-suffix=&lt;suffix&gt;</tt></td> 
@@ -2688,5 +2688,5 @@
       <p>
         <center> 
-          <table BORDER='1' COLS='2'> 
+          <table BORDER='1' COLS='2' cellspacing='0'> 
 
                 <tr>
@@ -3012,5 +3012,5 @@
 
             <center>
-              <table border='1' cols='3'>
+              <table border='1' cellspacing='0' cols='3'>
 
                 <tr>
@@ -3813,5 +3813,5 @@
             <p>
               <center>
-                <table BORDER='1' COLS='2'> 
+                <table BORDER='1' cellspacing='0' COLS='2'> 
                   <tr> 
                     <td width="80"><tt>package</tt></td> 
@@ -4084,5 +4084,5 @@
                 <p>
                   <center>
-                    <table BORDER='1' COLS='2'> 
+                    <table BORDER='1' cellspacing='0' COLS='2'> 
                       <tr> 
                         <td width="80"><tt>prototypes</tt></td> 
@@ -4136,5 +4136,5 @@
                 <p>
                   <center>
-                    <table BORDER='1' COLS='2'> 
+                    <table BORDER='1' cellspacing='0' COLS='2'> 
 
                       <tr> 
@@ -4401,5 +4401,5 @@
               properly expanded at actual generation time :</p>
 
-            <p><table BORDER='1' COLS='2'> 
+            <p><table BORDER='1' cellspacing='0' COLS='2'> 
                  <tr> 
                    <td width="150"><tt>CONSTITUENT</tt></td> 
@@ -4692,7 +4692,10 @@
    -warnings               : display various warnings
    -with_version_directory : reset to default structuring style
-   -without_version_directory : switch structuring style
+   -without_version_directory : switch structuring style</font></i></cmt:code>
+
+<!--
    -cleanup                : activate install area cleanup
-   -no_cleanup             : inhibit install area cleanup</font></i></cmt:code>
+   -no_cleanup             : inhibit install area cleanup
+-->
 
           <p>The following sections present the detail of each available command. </p>
@@ -4701,85 +4704,101 @@
           <cmt:section title="Global options of the cmt command">
 
-            <table>
+            <p>These options of the general form
+            <tt>-&lt;option&gt;</tt> or
+            <tt>-&lt;option&gt;=&lt;value&gt;</tt> should be provided
+            <i>before</i> the command itself. They give special hints
+            to cmt onto how to perform the command.</p>
+
+            <p>Some options have meaning over all commands (such as
+            the <tt>-quiet</tt> option) while some others only have a
+            meaning in the context of some specialized commands (such
+            as the <tt>-with_version_directory</tt> option which is
+            only useful for the <tt>create</tt> or <tt>co</tt>
+            commands)</p>
+
+            <p>The following table describes the various global
+            options of the <tt>cmt</tt> tool:</p>
+
+            <table BORDER='1' cellspacing='0' COLS='3'>
 
               <tr>
-                <td>
-   -quiet                  : don't print errors
-                </td>
+                <td><center><i>option</i></center></td>
+                <td><center><i>effect</i></center></td>
+                <td><center><i>commands</i></center></td>
+              </tr>
+
+              <tr>
+                <td><tt>-quiet</tt></td>
+                <td>don't print errors</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -use=&amp;lt;p&gt;:&lt;v&gt;:&lt;path&gt;     : set package version path
-                </td>
+                <td><tt>-use=&amp;lt;p&gt;:&lt;v&gt;:&lt;path&gt;</tt></td>
+                <td>set current package version and path in one option</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -pack=&amp;lt;package&gt;         : set package
-                </td>
+                <td><tt>-pack=&amp;lt;package&gt;</tt></td>
+                <td rowspan='3'>set current package, version and root path</td>
+                <td rowspan='3'><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -version=&amp;lt;version&gt;      : set version
-                </td>
+                <td><tt>-version=&amp;lt;version&gt;</tt></td>
               </tr>
               <tr>
-                <td>
-   -path=&amp;lt;path&gt;            : set root path
-                </td>
+                <td><tt>-path=&amp;lt;path&gt;</tt></td>
               </tr>
               <tr>
-                <td>
-   -f=&amp;lt;requirement-file&gt;   : set input file
-                </td>
+                <td><tt>-f=&amp;lt;requirement-file&gt;</tt></td>
+                <td>override input file</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -e=&amp;lt;statement&gt;          : add a one line statement
-                </td>
+                <td><tt>-e=&amp;lt;statement&gt;</tt></td>
+                <td>add a one line statement</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -tag=&amp;lt;tag-list&gt;         : select a new tag-set
-                </td>
+                <td><tt>-tag=&amp;lt;tag-list&gt;</tt></td>
+                <td>select a new tag-set</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -tag_add=&amp;lt;tag-list&gt;     : add specific comma-separated tag(s)
-                </td>
+                <td><tt>-tag_add=&amp;lt;tag-list&gt;</tt></td>
+                <td>add specific comma-separated tag(s)</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -tag_remove=&amp;lt;tag-list&gt;  : remove specific comma-separated tag(s)
-                </td>
+                <td><tt>-tag_remove=&amp;lt;tag-list&gt;</tt></td>
+                <td>remove specific comma-separated tag(s)</td>
+                <td><i>all</i></td>
               </tr>
               <tr>
-                <td>
-   -warnings               : display various warnings
-                </td>
+                <td><tt>-warnings</tt></td>
+                <td>displays various warnings, such as invalid PATH items</td>
+                <td><table><tr><td><tt>broadcast</tt></td></tr><tr><td><tt>run</tt></td></tr><tr><td><tt>setup</tt></td></tr></table></td>
               </tr>
               <tr>
-                <td>
-   -with_version_directory : reset to default structuring style
-                </td>
+                <td><tt>-with_version_directory</tt></td>
+                <td>reset to default structuring style</td>
+                <td><table><tr><td><tt>create</tt></td></tr><tr><td><tt>co</tt></td></tr></table></td>
               </tr>
               <tr>
-                <td>
-   -without_version_directory : switch structuring style
-                </td>
+                <td><tt>-without_version_directory</tt></td>
+                <td>switch structuring style</td>
+                <td><table><tr><td><tt>create</tt></td></tr><tr><td><tt>co</tt></td></tr></table></td>
+              </tr>
+              <!--
+              <tr>
+                <td><tt>-cleanup</tt></td>
+                <td>activate install area cleanup</td>
+                <td><tt>setup</tt></td>
               </tr>
               <tr>
-                <td>
-   -cleanup                : activate install area cleanup
-                </td>
+                <td><tt>-no_cleanup</tt></td>
+                <td>inhibit install area cleanup</td>
+                <td><tt>setup</tt></td>
               </tr>
-              <tr>
-                <td>
-   -no_cleanup             : inhibit install area cleanup
-                </td>
-              </tr>
-
-                <p>The <tt>-warnings</tt> option displays various
-                warnings, such as invalid PATH items.</p>
-
+              -->
             </table>
 
@@ -4795,5 +4814,5 @@
             packages reached by the broadcast is rather the same as the one shown
             by the <tt>cmt show packages</tt> command, ie all <tt>CMT</tt> packages
-            and versions available throught the current <tt>CMTPATH</tt> list.
+            and versions available through the current <tt>CMTPATH</tt> list.
 
             <p>Typical uses of this <i>broadcast</i> operation could be:</p>
@@ -4851,4 +4870,11 @@
               through the <tt>CMTPATH</tt> list</li>
             </ol>
+
+            <p>The environment variables as specified in the
+            requirements files of the use graph are internally pre-set
+            before running the specified shell command. Thus it's not
+            required to <i>source</i> the setup scripts before using
+            the <tt>broadcast</tt> command
+            </p>
 
 	    <cmt:section title="Specifying the shell command">
@@ -6609,5 +6635,5 @@
     according to the effective strategy:</p>
 
-    <table border="1">
+    <table border="1" cellspacing='0'>
       <tr>
         <td><center><i>name</i></center></td>
@@ -6882,5 +6908,5 @@
 
   <p> 
-    <table BORDER='1' COLS='2'> 
+    <table BORDER='1' cellspacing='0' COLS='2'> 
       <tr> 
         <td width="200"> 
@@ -6954,5 +6980,5 @@
 
     <p>
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"> 
@@ -6989,5 +7015,5 @@
 
     <p>
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"> 
@@ -7074,5 +7100,5 @@
 
     <p> 
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"> 
@@ -7119,5 +7145,5 @@
     </p>
     <p> 
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"><tt>cpp</tt></td> 
@@ -7158,5 +7184,5 @@
     </p>
     <p> 
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"><tt>for</tt></td> 
@@ -7197,5 +7223,5 @@
     </p>
     <p> 
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"><tt>javacomp</tt></td> 
@@ -7211,5 +7237,5 @@
     </p>
     <p> 
-      <table BORDER='1' COLS='3'> 
+      <table BORDER='1' cellspacing='0' COLS='3'> 
         <tr> 
           <td width="150"><tt>lex</tt></td> 
@@ -7261,5 +7287,5 @@
 
     <p> 
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td width="250"> 
@@ -7348,5 +7374,5 @@
 
     <p> 
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td width="250"> 
@@ -7406,5 +7432,5 @@
 
     <p> 
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td><tt>&lt;<i>type</i>&gt;_&lt;<i>constituent</i>&gt;_cflags</tt></td> 
@@ -7498,5 +7524,5 @@
 
     <p> 
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td WIDTH="300"><tt>&lt;<i>constituent</i>&gt;_&lt;<i>suffix</i>&gt;_cflags</tt></td> 
@@ -7527,5 +7553,5 @@
 
     <p>
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td width="200"><tt>&lt;<i>PACKAGE</i>&gt;ROOT</tt></td> 
@@ -7585,5 +7611,5 @@
       the user so as to customize the <tt>CMT</tt> behaviour.</p>
     <p>
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td><tt>&lt;<i>package</i>&gt;_tag</tt></td> 
@@ -7610,5 +7636,5 @@
 
     <p>
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td width="150"><tt>use_cflags</tt></td> 
@@ -7678,5 +7704,5 @@
 
     <p><font size="-10">
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td width="250"> 
@@ -7771,5 +7797,5 @@
 
     <p>
-      <table BORDER='1' COLS='2'> 
+      <table BORDER='1' cellspacing='0' COLS='2'> 
         <tr> 
           <td width="150"><center><i>macro</i></center></td> 
@@ -7887,5 +7913,5 @@
 
   <p>
-    <table BORDER='1' COLS='3'> 
+    <table BORDER='1' cellspacing='0' COLS='3'> 
       <tr>
         <td width="150"><center><i>tag name</i></center></td>
@@ -7977,5 +8003,5 @@
 
   <p>
-    <table BORDER='1' COLS='3'> 
+    <table BORDER='1' cellspacing='0' COLS='3'> 
       <tr>
         <td width="150"><center><i>template name</i></center></td>
@@ -8110,5 +8136,5 @@
 
   <p>
-    <table border='1' cols='3'>
+    <table border='1' cellspacing='0' cols='3'>
 
       <tr>
Index: /CMT/HEAD/mgr/cmt.nmake
===================================================================
--- /CMT/HEAD/mgr/cmt.nmake	(revision 112)
+++ /CMT/HEAD/mgr/cmt.nmake	(revision 113)
@@ -3,5 +3,5 @@
 #  Application cmt
 #
-#   Generated Tue Oct 18 09:41:36 2005  by ARNAULT
+#   Generated Sun Oct 30 10:05:41 2005  by ARNAULT
 #
 #====================================
Index: /CMT/HEAD/source/cmt_symbol.cxx
===================================================================
--- /CMT/HEAD/source/cmt_symbol.cxx	(revision 112)
+++ /CMT/HEAD/source/cmt_symbol.cxx	(revision 113)
@@ -1399,4 +1399,5 @@
       if (value != "")
 	{
+	  Symbol::expand (value);
 	  filter_path_value (symbol.name, value);
 