Index: atlas/presentations/CMT06-04-2006-sit.bib
===================================================================
--- atlas/presentations/CMT06-04-2006-sit.bib	(revision 164)
+++ atlas/presentations/CMT06-04-2006-sit.bib	(revision 165)
@@ -4,2 +4,6 @@
 }
 
+@Misc{module_logging,
+  author =       "Python's logging module",
+  howpublished = "\url{http://docs.python.org/lib/module-logging.html}"
+}
Index: atlas/presentations/CMT06-04-2006-sit.tex
===================================================================
--- atlas/presentations/CMT06-04-2006-sit.tex	(revision 164)
+++ atlas/presentations/CMT06-04-2006-sit.tex	(revision 165)
@@ -48,5 +48,5 @@
 \end{frame}
 
-\section*{Summary}
+\section*{Outline}
 \frame
 {
@@ -60,36 +60,70 @@
 %------------------------------- SECTION -------------------------%
 
-\section{\cmt news, feedbacks and futur improvements}
-\subsection{The new v1r18p20060301 release}
+\section[\cmt]{\cmt news, feedbacks and futur improvements}
+
+%\subsection{The new v1r18p20060301 release}
 
 %---- Slide 1 -----%
-\frame [allowframebreaks]
+\frame 
 {
- \frametitle{\cmt news}
- 
- \begin{block}{New \cmt release (version v1r18p20060301)}
-\begin{itemize}
-     \item Should be the stable v1r18 in the futur 
-     \item See Changelog~\cite{cmt_changelog} for more informations
-     \item Tested on the nightlies with no  problems
-\end{itemize}
-\end{block}
+ \frametitle{\cmt news (1)}
     
- \begin{block}{New \cmt release (version v1r18p20060301)}
-\begin{itemize}    
-    \item No major improvements but fixed several problems with the existing  CMT versions, including:     
+ \begin{block}{New \cmt release (version v1r18p20060301) }
+    No major improvements but fixed several problems with the existing  CMT versions, including:     
      \begin{itemize}
-      \setbeamertemplate{itemize items}[circle]
           \item Non-existent directories are no longer removed from search paths   
+          \item Add new warning messages in relation with setup checking which are 
+                explicitly called with the \texttt{--warnings option}.
           \item The run-time environment for a release can be setup by specifying  
           the "runtime" during setup command, e.g.:\\                 
          \texttt{> source $\sim$/cmthome/setup.sh -tag=11.0.4,runtime}   
-          \item Better support of the (non-)version-directory mode in severals cases.
-          \item  Option to force package version directories to be created when using 
-          "\texttt{cmt co}":\\ 
-            \texttt{set CMTSTRUCTURINGSTYLE "with\_version\_directory"}
-            resp. \texttt{"without\_version\_directory"} force a package version  directory not 
+         \item New version of the AtlasSettings package (backwards compatible) 
+       \end{itemize}
+\end{block}
+}
+
+%---- Slide 2 -----%
+\frame 
+{
+ \frametitle{\cmt news (2)} 
+ \begin{block}{New \cmt release (version v1r18p20060301)}
+\begin{itemize}
+         \item Change the internal system for settings environment variables in a proper way
+          \item Better support of the (non-)version-directory mode in severals cases:
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                 \item  Option to force package version directories to be created when using 
+                            "\texttt{cmt co}":\\ 
+                            \texttt{set CMTSTRUCTURINGSTYLE "with\_version\_directory"}            
+                  \item Resp. \texttt{"without\_version\_directory"} force a package version  directory not 
             to be created.
-       \end{itemize}
+      \end{itemize}      
+     \item See Changelog~\cite{cmt_changelog} for more informations
+\end{itemize}
+\end{block}
+}
+
+%---- Slide 3 -----%
+\frame 
+{
+ \frametitle{\cmt feedbacks}
+  \begin{block}{Report and future}
+     \begin{itemize}  
+          \item Tested on the nightlies with no problems
+           \item Should be the `stable' v1r18 in the futur
+           \item Problems encounter with the cmtcvs plugin in the way cvs tags are printed :
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item Thanks to D. Chamont, this is fixed 
+                \item Should be available for the next plugin release
+          \end{itemize}    
+          \item Future improvements planned for the next \cmt release :
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item  Request for having a macro that reflects all active tags , i.d. 
+                           we should introduce a link between the macro and tag concepts
+                \item Improve the log message mechanism for message classification 
+                         within \cmt, e.g. Python's logging module~\cite{module_logging}.
+          \end{itemize}                     
 \end{itemize}
 \end{block}
@@ -97,14 +131,21 @@
 
 %------------------------------- SECTION -------------------------%
-\section{Report of the SVN evaluation for Atlas}
+\section [\svn status report]{Report of the SVN evaluation for Atlas}
+\frame
+{
+% \frametitle{Outline}
+   \begin{block}{\svn}
+ \end{block}
+}
+
 
 
 
 %------------------------------- SECTION -------------------------%
-\section{Références}
+\section{References}
 %------------------------------- FRAME-------------------------%
 \frame[allowframebreaks]
 {
-\frametitle{Références}
+\frametitle{References}
 \nocite{*}
 \bibliographystyle{unsrt}