Index: /atlas/presentations/CMT06-04-2006-sit.bib
===================================================================
--- /atlas/presentations/CMT06-04-2006-sit.bib	(revision 166)
+++ /atlas/presentations/CMT06-04-2006-sit.bib	(revision 167)
@@ -8,2 +8,14 @@
   howpublished = "\url{http://docs.python.org/lib/module-logging.html}"
 }
+
+@Misc{log4cxx,
+  author =       "Logging Services",
+  howpublished = "\url{http://logging.apache.org/log4cxx/}"
+}
+
+
+@Misc{svnvscvs,
+  author =       "Subversion and CVS comparison",
+  howpublished = "\url{http://wiki.gnuarch.org/SubVersionAndCvsComparison}"
+}
+
Index: /atlas/presentations/CMT06-04-2006-sit.tex
===================================================================
--- /atlas/presentations/CMT06-04-2006-sit.tex	(revision 166)
+++ /atlas/presentations/CMT06-04-2006-sit.tex	(revision 167)
@@ -26,4 +26,5 @@
 \newcommand{\cmt}    {{\em CMT}\@\xspace}%
 \newcommand{\svn}    {{\em SVN}\@\xspace}%
+\newcommand{\cvs}    {{\em CVS}\@\xspace}%
 
 \setbeamercovered{dynamic}
@@ -74,7 +75,7 @@
           \item Non-existent directories are no longer removed from search paths   
           \item Add new warning messages in relation with setup checking which are 
-                explicitly called with the \texttt{--warnings option}.
+                explicitly called with the \texttt{--warnings option}
           \item The run-time environment for a release can be setup by specifying  
-          the "runtime" during setup command, e.g.:\\                 
+          the "runtime" during setup command, e.g.: \\                 
          \texttt{> source $\sim$/cmthome/setup.sh -tag=11.0.4,runtime}   
          \item New version of the AtlasSettings package (backwards compatible) 
@@ -108,15 +109,19 @@
 {
  \frametitle{\cmt feedbacks}
-  \begin{block}{Report and future}
+
+  \begin{block}{Reports}
      \begin{itemize}  
           \item Tested on the nightlies with no problems
            \item Should be the `stable' v1r18 in the futur
-           \item Problems encounter with the cmtcvs plugin in the way cvs tags are printed :
+           \item Problems encountered with the cmtcvs plugin in the way cvs tags are printed :
           \begin{itemize} 
                 \setbeamertemplate{itemize items}[circle]
-                \item Thanks to D. Chamont, this is fixed 
-                \item Should be available for the next plugin release
+                \item Thanks to D. Chamont, this is fixed and should 
+                           be available for the next plugin release
           \end{itemize}    
-          \item Future improvements planned for the next \cmt release :
+     \end{itemize}
+\end{block}
+          
+  \begin{block}{Future improvements planned for the next \cmt release :}          
           \begin{itemize} 
                 \setbeamertemplate{itemize items}[circle]
@@ -124,7 +129,7 @@
                            we should introduce a link between the macro and tag concepts
                 \item Improve the log message mechanism for message classification 
-                         within \cmt, e.g. Python's logging module~\cite{module_logging}.
-          \end{itemize}                     
-\end{itemize}
+                         within \cmt, e.g. Python's logging module~\cite{module_logging},
+                         apache logging module~\cite{log4cxx}
+          \end{itemize}
 \end{block}
 }
@@ -136,6 +141,42 @@
 % \frametitle{Outline}
    \begin{block}{\svn}
- \end{block}
+   \begin{itemize}
+            \item The complete atlas cvs repository has been converted to a svn one\\
+                      \texttt{SVNROOT= \url{file:///afs/cern.ch/atlas/software/svnrepository/repository}}
+            \item A "CVS complient" script is available at cern 
+                     \texttt{/afs/cern.ch/atlas/scripts/asvn}
+                     
+   \end{itemize}
+   \end{block}
 }
+
+
+\frame
+{
+\frametitle{\cvs versus \svn}
+%\scriptsize
+\footnotesize
+\begin{table}[htb] 
+\begin{center}
+\begin{tabular}{|l|l|l|}
+\hline
+\texttt {\bf Source code management system} & {\bf \cvs } & {\bf \svn}  \\ 
+\hline
+\hline
+\texttt {\bf Atomic Commits } & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf File renames handles cleanly} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf Advanced Merging Features} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf Easy Development on Branches} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf Easy Server Administration} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf Scalable Performance and Admin} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf Web Browser Interfaces} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\texttt {\bf HTTP proxy to connect the server} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
+\end{tabular} 
+\end{center}
+\end{table}
+For more studies and infos, look~\cite{svnvscvs}
+
+}
+
 
 
Index: /atlas/presentations/styles/beamerthemeMarseille.sty
===================================================================
--- /atlas/presentations/styles/beamerthemeMarseille.sty	(revision 166)
+++ /atlas/presentations/styles/beamerthemeMarseille.sty	(revision 167)
@@ -33,5 +33,5 @@
     \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,%
       leftskip=.3cm,rightskip=.3cm plus1fil]{author in head/foot}%
-      \leavevmode{\usebeamerfont{author in head/foot} C.Arnaul, V. Garonne}%\insertshortauthor}%
+      \leavevmode{\usebeamerfont{author in head/foot} C. Arnault, V. Garonne}%\insertshortauthor}%
       \hfill%
      {\usebeamerfont{institute in head/foot}\usebeamercolor[fg]{institute in head/foot}\insertshortinstitute}%