Index: /atlas/presentations/CMT06-04-2006-sit.bib
===================================================================
--- /atlas/presentations/CMT06-04-2006-sit.bib	(revision 169)
+++ /atlas/presentations/CMT06-04-2006-sit.bib	(revision 170)
@@ -20,2 +20,16 @@
 }
 
+@Misc{cvscrossover,
+  author =       "cvs and svn crossover commands",
+  howpublished = "\url{http://uimon.cern.ch/twiki/bin/view/Atlas/StudiesForUsingSVNInAtlas#Command_Examples_SVN_vs_CVS}",
+}
+
+@Misc{subversion,
+  author =       "Subversion",
+  howpublished = "\url{http://subversion.tigris.org/}",
+  }
+
+@Misc{cvs2svn,
+  author =       "cvs2svn",
+  howpublished = "\url{http://cvs2svn.tigris.org}",
+}
Index: /atlas/presentations/CMT06-04-2006-sit.tex
===================================================================
--- /atlas/presentations/CMT06-04-2006-sit.tex	(revision 169)
+++ /atlas/presentations/CMT06-04-2006-sit.tex	(revision 170)
@@ -71,5 +71,5 @@
     
  \begin{block}{New \cmt release (version v1r18p20060301) }
-    No major improvements but fixed several problems with the existing  CMT versions, including:     
+    No major improvements but fixed several problems with the existing  CMT versions, including:
      \begin{itemize}
           \item Non-existent directories are no longer removed from search paths   
@@ -112,5 +112,10 @@
   \begin{block}{Reports}
      \begin{itemize}  
-          \item Tested on the nightlies with no problems
+          \item Tested on the nightlies with "no" problems except
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item Should understand the problem of eternal loop 
+                          encountered with dictionaries....
+          \end{itemize}    
            \item Should be the `stable' v1r18 in the futur
            \item Problems encountered with the cmtcvs plugin in the way cvs tags are printed :
@@ -136,52 +141,4 @@
 
 %------------------------------- SECTION -------------------------%
-\section [\svn status report]{Report of the SVN evaluation for Atlas}
-\frame
-{
-% \frametitle{Outline}
-   \begin{block}{\svn}
-   \begin{itemize}
-            \item The complete atlas cvs repository has been converted to a svn one\\
-                      \texttt{SVNROOT= \url{file:///afs/cern.ch/atlas/software/svnrepository/repository}}
-            \item A "CVS complient" script is available at cern 
-                     \texttt{/afs/cern.ch/atlas/scripts/asvn}
-                     
-   \end{itemize}
-   \end{block}
-}
-
-
-\frame
-{
-\frametitle{\cvs versus \svn}
-%\scriptsize
-\footnotesize
-\begin{table}[htb] 
-\begin{center}
-\begin{tabular}{|l|l|l|}
-\hline
-\texttt {\bf Source code management system} & {\bf \cvs } & {\bf \svn}  \\ 
-\hline
-\hline
-\texttt {\bf Atomic Commits } & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf File renames handles cleanly} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf Advanced Merging Features} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf Easy Development on Branches} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf Easy Server Administration} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf Scalable Performance and Admin} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf Web Browser Interfaces} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\texttt {\bf HTTP proxy to connect the server} & \textcolor{red}{No} & \textcolor{green}{\em Yes} \\ \hline
-\end{tabular} 
-\end{center}
-\end{table}
-For more studies and infos, look~\cite{svnvscvs}
-
-}
-
-
-
-
-
-%------------------------------- SECTION -------------------------%
 \section{References}
 %------------------------------- FRAME-------------------------%
@@ -189,5 +146,5 @@
 {
 \frametitle{References}
-\nocite{*}
+%\nocite{*}
 \bibliographystyle{unsrt}
 \bibliography{CMT06-04-2006-sit}
Index: /atlas/presentations/SVN07-04_2006-sit.tex
===================================================================
--- /atlas/presentations/SVN07-04_2006-sit.tex	(revision 169)
+++ /atlas/presentations/SVN07-04_2006-sit.tex	(revision 170)
@@ -50,4 +50,6 @@
 %------------------------------- SECTION -------------------------%
 \section*{Outline}
+
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -62,4 +64,5 @@
 \section[svn introduction]{\svn in a nutshell} 
 
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -87,4 +90,6 @@
 %------------------------------- SECTION -------------------------%
 \section[CVS/SVN comparison]{\cvs versus \svn} 
+
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -128,4 +133,6 @@
 %------------------------------- SECTION -------------------------%
 \section[Proposal]{Proposal for Atlas} 
+
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -157,4 +164,5 @@
 }
 
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -184,4 +192,5 @@
   }
 
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -211,4 +220,33 @@
 }
 
+%------------------------------- SLIDE -------------------------%
+\frame
+{
+\frametitle{Conversion validation and management tools}
+
+\begin{block}{Conversion validation tools}
+\begin{itemize}
+\item We have implemented several tests to check the quality of the 
+conversion: 
+\begin{itemize}
+         \setbeamertemplate{itemize items}[circle] 
+         \item  Comparing the sources at each tag with diff tests
+          \item Comparing the list of tags for a packages
+         \item Check global structure of the \svn repository
+         \item \url{/afs/cern.ch/atlas/scripts/testcvs2svn.py}
+\end{itemize}
+\end{itemize}
+\end{block}
+
+\begin{block}{Management tools}
+\begin{itemize}
+\item We have also implemented a script which re-organizes the SVN repository:\\
+\texttt{ \textcolor{blue}{
+<project>/.../<package>/trunk/...\\
+<project>/.../<package>/<tag>/...}}
+\end{itemize}
+\end{block}
+}
+
 
 %            \item A "CVS complient" script is available at cern 
@@ -216,5 +254,5 @@
 %             \item \url{http://uimon.cern.ch/twiki/bin/view/Atlas/StudiesForUsingSVNInAtlas}
 
-
+%------------------------------- SLIDE -------------------------%
 \frame
 {
@@ -238,9 +276,10 @@
 \end{itemize}
 \item Concurrent user actions were launched by a multi-threaded program 
-({\small \texttt{ \url{/afs/cern.ch/user/v/vgaronne/svnTestStress}}})
-\end{itemize}
-\end{block}
-}
-
+({\small\texttt{\url{/afs/cern.ch/user/v/vgaronne/svnTestStress}}})
+\end{itemize}
+\end{block}
+}
+
+%------------------------------- SLIDE -------------------------%
 \frame{
 \frametitle{Performance and scalability - Results}
@@ -272,5 +311,5 @@
 }
 
-
+%------------------------------- SLIDE -------------------------%
 \frame{
 \frametitle{Synchronization operations}
@@ -280,5 +319,5 @@
              \begin{itemize}
                         \setbeamertemplate{itemize items}[circle] 
-                        \item Non exhaustive commands are: checkin,  checkout , tag,
+                        \item Non exhaustive commands are: checkin,  checkout , tag, ...
                         \item Provides also cmt specific commands working with SVN, e.g. 
                         recursive checkout,  svntags, svnsubprojects, ...
@@ -293,7 +332,7 @@
 }
 
+%------------------------------- SLIDE -------------------------%
 \frame{
-\frametitle{Impact to the Atlas software management and tools}
-\frametitle{Synchronization operations}
+\frametitle{Impact to the Atlas software management chain and tools}
 
 \begin{block} {Impact to the work model}
@@ -308,5 +347,5 @@
                                  \item Tag Collector: Need an interface to SVN, but should much simpler than the interface to CVS. If not  possible immediately, 
                                      we could go on  temporally with the synchronized Atlas CVS repository
-                               \item  NICOS: Normaly only concerned with the checkout operation ?
+                               \item  NICOS: Normaly only concerned with checkout operations ?
 \end{itemize}
 \end{block}
@@ -315,14 +354,37 @@
 %------------------------------- SECTION -------------------------%
 \section{Conclusion}
+
+%------------------------------- SLIDE -------------------------%
 \frame{
 \frametitle{Conclusion}
-}
-
-
-% Validation
-
-%------------------------------- SECTION -------------------------%
-\section{References}
-%------------------------------- FRAME-------------------------%
+
+\begin{block} {}
+\begin{itemize}
+\item All the necessary tools are in place for begin using SVN in Atlas
+\item Testing by real users, will help to tune and improve these tools
+\item Doing more tests for validating the atlas svn repository
+\item  Implementing the interface to SVN in Tag Collector, depends 
+          on TC team availability
+\end{itemize}
+\end{block} 
+
+\begin{block} {Futur}
+\begin{itemize} 
+           \item  SVN brings lots of new interesting features, that we could used incrementally :
+            \begin{itemize} 
+                      \setbeamertemplate{itemize items}[circle] 
+                      \item Metadata features
+                      \item  Real Multi-repository
+                       \item  Directory management
+                       \item Transparent branch management
+          \end{itemize}
+\end{itemize}
+\end{block} 
+}
+
+%------------------------------- SECTION -------------------------%
+\section*{References}
+
+%------------------------------- SLIDE -------------------------%
 \frame[allowframebreaks]
 {