Index: atlas/presentations/SVN07-04_2006-sit.tex
===================================================================
--- atlas/presentations/SVN07-04_2006-sit.tex	(revision 174)
+++ atlas/presentations/SVN07-04_2006-sit.tex	(revision 176)
@@ -141,9 +141,5 @@
 \begin{block}{ Roadmap}
 \begin{enumerate}
-      \item Convert the Atlas CVS repository into a Subversion one
-      \begin{itemize}
-               \setbeamertemplate{itemize items}[circle]      
-                \item  A tool exists,  \texttt{"cvs2svn"} (\url{http://cvs2svn.tigris.org})
-       \end{itemize}
+      \item Convert the Atlas CVS repository into a Subversion one    
       \item Provide tools to provide synchronization operations between \cvs and \svn repositories 
        \begin{itemize}
@@ -169,5 +165,5 @@
   \frametitle{CVS repository conversion}
    \begin{block}{Conversion script}
-    For better understandings, we have developed our own 
+    For better understanding, we have developed our own 
    \texttt{cvs2svn} python script {\small (\texttt{\url{/afs/cern.ch/atlas/scripts/cvs2svn.py}})}:
    \begin{itemize}
@@ -201,5 +197,5 @@
 \texttt{\textcolor{blue}{
 <project>/.../<package>/trunk/...\\
-<project>/.../<package>/tags/<tag>/...}}
+<project>/.../<package>/tags/<tag>/...}}  
 \end{itemize}
 \end{block}
@@ -213,6 +209,6 @@
          \setbeamertemplate{itemize items}[circle] 
           \item Try different \svn backends: Berkley DB,  \underline{\svn file system} 
-          \item It takes me ~one week  to complete the procedure, e.g. 8 hours for the AtlasCore project
-          \item but update will only concern recent tags
+          \item It takes one week  to complete the procedure, e.g. 8 hours for the AtlasCore project
+          \item But update will only concern recent tags
 \end{itemize}
 \end{itemize}
@@ -242,6 +238,5 @@
 \begin{itemize}
 \item We have also implemented a script which re-organizes the SVN repository:\\
-\texttt{ \textcolor{blue}{
-<project>/.../<package>/trunk/...\\
+\texttt{\textcolor{blue}{<project>/.../<package>/trunk/...\\
 <project>/.../<package>/<tag>/...}}
 \end{itemize}
@@ -295,10 +290,10 @@
 \begin{center}
 \begin{tabular}{ccc} 
-\hline  ${\cal R}atio$ & $T_{max}$ & Average action time (s)  \\ \hline 
+\hline  ${\cal R}atio$ & $T_{max}(s)$ & Average action time (s)  \\ \hline 
 0.01 & 3600.0& 1.34   \\ 
 0.01 & 100.0& 1.06     \\ 
 0.01 & 10.0     & 1.38   \\ 
 \textcolor{blue}{0.1} & \textcolor{blue}{ 3600.0}  & \textcolor{blue}{5.77}     \\
-0.1&  100.0& 4.26         \\ 
+\textcolor{blue}{0.1}&  \textcolor{blue}{100.0}& \textcolor{blue}{4.26}         \\ 
 \textcolor{blue}{0.1} & \textcolor{blue}{10.0} &  \textcolor{blue}{6.96}          \\ 
 1.0 & 3600.0  & 7.42   \\ 
@@ -355,13 +350,13 @@
 %------------------------------- SLIDE -------------------------%
 \frame{ 
-\frametitle{A brief summary by pictures}
+\frametitle{A brief summary by pictures...}
 %\begin{center}
       %\vfill
-      \includegraphics<1>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SVN_integration00}
-      \includegraphics<2>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SVN_integration01}
-      \includegraphics<3>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SVN_integration02}
-      \includegraphics<4>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SVN_integration03}
-      \includegraphics<5>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SVN_integration04}
-      \includegraphics<6>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SVN_integration05}
+      \includegraphics<1>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SoftwareFlow00}
+      \includegraphics<2>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SoftwareFlow01}
+      \includegraphics<3>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SoftwareFlow02}
+      \includegraphics<4>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SoftwareFlow03}
+      \includegraphics<5>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SoftwareFlow04}
+      \includegraphics<6>[width=0.92\paperwidth,height=0.74\paperheight]{figures/SoftwareFlow05}
 %+\end{center}
 }
@@ -376,12 +371,15 @@
 \begin{block} {}
 \begin{itemize}
-\item All the necessary tools are in place to begin using SVN in Atlas
+\item All the necessary tools are in place to start using SVN in Atlas
 \item Testing by real users, will help to tune and improve these tools
 \item Doing more tests to validate the atlas svn repository
-\item  Implementing the interface to SVN in Tag Collector, depends 
-          on TC team availability
+\item We should clarify the migration policy
+%\begin{itemize}
+%        \item Management of the "CVSROOT/commitavail" file for each package
+ %       to guaranty synchronization between CVS and SVN repository
+%\end{itemize}
+\item  Implementing the interface to SVN in Tag Collector%, depends  on TC team availability
 \end{itemize}
 \end{block} 
-
 \begin{block} {Future}
 \begin{itemize} 
@@ -397,5 +395,4 @@
 \end{block} 
 }
-
 %------------------------------- SECTION -------------------------%
 \section*{References}