Index: /CMT/v1r18p20060505/doc/CMTDownload.html
===================================================================
--- /CMT/v1r18p20060505/doc/CMTDownload.html	(revision 187)
+++ /CMT/v1r18p20060505/doc/CMTDownload.html	(revision 187)
@@ -0,0 +1,60 @@
+<!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+-->
+
+<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
+<html>
+  <head>
+    <title>CMTDownload</title>
+    <!-- Changed by: Christian Arnault, 10-Apr-2002 -->
+  </head>
+  
+  <body BGCOLOR="#FFFFFF" link="#550088" alink="#007777" alink="#007777">
+    <h1>CMTDownload</h1>
+
+      <blockquote>
+
+        <i>You should first download the source kit of CMT, and this kit is
+      complete for a local rebuild. In addition, it is optionally
+      possible to obtain some prebuilt binaries for some platforms
+      (note that any binary kit also requires to first download the
+      source kit for a proper installation of CMT):
+        </i>
+      </blockquote>
+
+      <center>
+	<table BORDER COLS=1 >
+  <tr><td><a href="CMTv1r18p20060505.tar.gz">Source kit</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505OSF1-alpha.tar.gz">OSF1-alpha</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505Linux-i686.tar.gz">Linux-i686</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505Linux-x86_64.tar.gz">Linux-x86_64</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505SunOS-sun4u.tar.gz">SunOS-sun4u</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505AIX-002064874C00.tar.gz">AIX-002064874C00</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505VisualC.tar.gz">VisualC</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505CYGWIN_NT-5.1-i686.tar.gz">CYGWIN_NT-5.1-i686</a> </td></tr>
+  <tr><td><a href="CMTv1r18p20060505Darwin-PowerMacintosh.tar.gz">Darwin-PowerMacintosh</a> </td></tr>
+<!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+-->
+
+
+	</table>
+      </center>
+
+
+    <hr>
+    <address><a href="mailto:arnault@lal.in2p3.fr">Christian Arnault</a></address>
+    <!-- Created: Thu Feb  3 15:55:09 MET 2000 -->
+    <!-- hhmts start -->
+Last modified: Wed May 22 15:55:11 CEST 2002
+<!-- hhmts end -->
+  </body>
+</html>
Index: /CMT/v1r18p20060505/doc/ReleaseNotes.html
===================================================================
--- /CMT/v1r18p20060505/doc/ReleaseNotes.html	(revision 186)
+++ /CMT/v1r18p20060505/doc/ReleaseNotes.html	(revision 187)
@@ -42,8 +42,53 @@
     </blockquote>
 
-
-    <ul>
-
-      <li>
+      </li>
+
+      <li>
+        <b>v1r18p20060505</b>
+
+	<ul>
+	  <!--
+	  <li class="new"></li>
+	  <li class="bug"></li>
+	  <li class="int"></li>
+	  -->
+Add the fix recommend by M. Franck to deal with extern c data on visual/windows.
+
+ <li class="new">Add a PEDANTIC option for building,e.g make PEDANTIC=1 which stops directly after detecting a missing file or target.  It suposes to prevent from infinite loop.</li>
+
+<li class="new">Add a new cmt command "relocate" which generates only setup scripts whithout regenerating makefiles.</li>
+
+<li class="new">Add support for a <project> template in patterns.</li>
+
+
+ <li class="int">Remove only the specific makefiles depending on the platform, e.g. remove *.make on linux and *.nmake on windows during the cmt config command.</li>
+        
+ <li class="bug">Do the exact mathing for tag during recursive checkout operation (thanks to David Chamont).</li>
+
+	<\ul>
+
+        <b>v1r18p20060301</b>
+	<ul>
+
+	  <!--
+	  <li class="new"></li>
+	  <li class="bug"></li>
+	  <li class="int"></li>
+	  -->
+        
+        
+	<li class="bug">Better support of the non-version-directory mode in severals cases.</li>
+ 
+     <li class="new"> Add new warning messages in relation with configuration, CMTPATH and setup checkings (explicitely called with the --warnings option). We also do not remove path item anymore when they do not exist.
+     Better support of the non-version-directory mode in severals cases.</li>
+
+    <li class="int"> Change the internal system for settings environment variables in a proper way.</li>
+    
+    <\ul>
+         
+      <li>
+
+      </li>
+
         <b>v1r18p20051101</b>
 
Index: /CMT/v1r18p20060505/source/cmt_version.h
===================================================================
--- /CMT/v1r18p20060505/source/cmt_version.h	(revision 186)
+++ /CMT/v1r18p20060505/source/cmt_version.h	(revision 187)
@@ -1,2 +1,3 @@
+
 //-----------------------------------------------------------
 // Copyright Christian Arnault LAL-Orsay CNRS
@@ -8,6 +9,6 @@
 #define __cmt_version_h__
 
-//#define CMTVERSION "v1r18p20050901"
-#define CMTVERSION "HEAD"
+#define CMTVERSION "v1r18p20060505"
 
 #endif
+    