Index: /CMT/HEAD/mgr/fragments/application
===================================================================
--- /CMT/HEAD/mgr/fragments/application	(revision 226)
+++ /CMT/HEAD/mgr/fragments/application	(revision 227)
@@ -2,7 +2,4 @@
 
 $(bin)${CONSTITUENT}${application_suffix} :: ${OBJS} $(use_stamps) $(${CONSTITUENT}stamps) requirements $(use_requirements)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi	
 	$(link_echo) $@
 	$(link_silent) cd $(bin); ${LINKMACRO} -o ${CONSTITUENT}.exe.new ${OBJS} $(use_linkopts) $(${CONSTITUENT}linkopts); mv -f ${CONSTITUENT}.exe.new ${CONSTITUENT}${application_suffix}
Index: /CMT/HEAD/mgr/fragments/c_library
===================================================================
--- /CMT/HEAD/mgr/fragments/c_library	(revision 226)
+++ /CMT/HEAD/mgr/fragments/c_library	(revision 227)
@@ -2,7 +2,4 @@
 
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi	
 	$(c_echo) $@
 	$(c_silent) cd $(bin); $(ccomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(lib_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(lib_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} ${FULLNAME}
Index: /CMT/HEAD/mgr/fragments/cpp
===================================================================
--- /CMT/HEAD/mgr/fragments/cpp	(revision 226)
+++ /CMT/HEAD/mgr/fragments/cpp	(revision 227)
@@ -2,7 +2,4 @@
 
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	$(cpp_echo) $@
 	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cppflags) $(${CONSTITUENT}_pp_cppflags) $(app_${CONSTITUENT}_pp_cppflags) $(${NAME}_pp_cppflags) $(use_cppflags) $(${CONSTITUENT}_cppflags) $(app_${CONSTITUENT}_cppflags) $(${NAME}_cppflags) $(${NAME}_${FILESUFFIX}_cppflags) ${ADDINCLUDE} ${FULLNAME}
Index: /CMT/HEAD/mgr/fragments/cpp_library
===================================================================
--- /CMT/HEAD/mgr/fragments/cpp_library	(revision 226)
+++ /CMT/HEAD/mgr/fragments/cpp_library	(revision 227)
@@ -2,7 +2,4 @@
 #
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	$(cpp_echo) $@
 	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cppflags) $(${CONSTITUENT}_pp_cppflags) $(lib_${CONSTITUENT}_pp_cppflags) $(${NAME}_pp_cppflags) $(use_cppflags) $(${CONSTITUENT}_cppflags) $(lib_${CONSTITUENT}_cppflags) $(${NAME}_cppflags) $(${NAME}_${FILESUFFIX}_cppflags) ${ADDINCLUDE} ${FULLNAME}
Index: /CMT/HEAD/mgr/fragments/dependencies
===================================================================
--- /CMT/HEAD/mgr/fragments/dependencies	(revision 226)
+++ /CMT/HEAD/mgr/fragments/dependencies	(revision 227)
@@ -5,7 +5,4 @@
 ifndef QUICK
 $(bin)${CONSTITUENT}_dependencies.make :: ${LINE} requirements $(use_requirements) $(cmt_final_setup_${CONSTITUENT})
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	@echo "------> (${CONSTITUENT}.make) Rebuilding $@"; \
 	  args=`echo $? | sed -e "s#requirements.*##"`; \
Index: /CMT/HEAD/mgr/fragments/fortran_library
===================================================================
--- /CMT/HEAD/mgr/fragments/fortran_library	(revision 226)
+++ /CMT/HEAD/mgr/fragments/fortran_library	(revision 227)
@@ -2,7 +2,4 @@
  
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	$(fortran_echo) $@
 	$(fortran_silent)cd $(bin); $(fcomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_fflags) $(${CONSTITUENT}_pp_fflags) $(lib_${CONSTITUENT}_pp_fflags) $(${NAME}_pp_fflags) $(use_fflags) $(${CONSTITUENT}_fflags) $(lib_${CONSTITUENT}_fflags) $(${NAME}_fflags) $(${NAME}_${FILESUFFIX}_fflags) ${ADDINCLUDE} ${FULLNAME}
Index: /CMT/HEAD/mgr/fragments/library
===================================================================
--- /CMT/HEAD/mgr/fragments/library	(revision 226)
+++ /CMT/HEAD/mgr/fragments/library	(revision 227)
@@ -2,13 +2,7 @@
 
 ${CONSTITUENT}LIB :: $(${CONSTITUENT}lib) $(${CONSTITUENT}shstamp)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	@/bin/echo "------> ${CONSTITUENT} : library ok"
 
 $(${CONSTITUENT}lib) :: ${OBJS}
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	$(lib_echo) library
 	$(lib_silent) cd $(bin); \
@@ -34,7 +28,4 @@
 
 $(${CONSTITUENT}libname).$(shlibsuffix) :: $(${CONSTITUENT}lib) requirements $(use_requirements) $(${CONSTITUENT}stamps)
-	@if test "${PRINT_PREREQUISITES}" = "1"; then \
-		echo "------> Triggering dependencies: $?"; \
-	fi
 	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" ${CONSTITUENT} $(${CONSTITUENT}_shlibflags)
 